Debian Bug report logs - #621101
transition: getting rid of libdb4.8

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Wed, 6 Apr 2011 14:54:04 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Wed, 06 Apr 2011 14:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Apr 2011 14:54:54 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: db (db4,6, db4.7, db4.8)
Date: Wed, 06 Apr 2011 16:43:01 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition


(sorry for double email, I just found the release.debian.org transition bugtracker)

Hi,

I would like to coordinate reduction of BDB packages since I took the
unhappy job (as I could expect) to maintain BDB in Debian after Clint
have orphaned them.

The main issue which I have encountered (in cyrus-imapd) is that the
change from 4.x to 5.x introduces code changes, because the packages
check for 4 + something version number. The fix is easy (I can help
with that if needed), but it still some work which needs to be done.

My suggestion is (going one at the time starting with db4.6):

1) Fill bugreports against all packages linking to db4.Y to upgrade
build depends to libdb-dev (>= 5.1) or at least to libdb5.1-dev (which
makes later transitions harded).

1a) Optionally link with just -ldb and not -ldbX.Y (linking to
specific BDB versions generate a lot of problems, since f.e.
cyrus-imapd will happily include 5.1 headers and link to libdb4.7)

2. After some time rebuild the db4.Y to not generate -dev
packages, but to keep db4.Y-util package available and increase
severity

3. After some time rebuild the db4.Y to not generate libdb4.Y
packages, but keep db4.Y-util package available and increase
severity of the bug reports to RC


Release next stable with just one libdbX.Y-dev (and libdb-dev) and all
dbM.N-util which were included in current stable.

For stable+2 reduce the number to just two version - current -dev and
dbX.Y-util for stable+1 upgrades.

I know this could cause a lot of pain, but I think the keeping of X >
2 versions of BDB is not sustainable from a long term PoV.

Also any help would be much appreciated, I am already too overloaded,
and I took BDB maintainership just because of cyrus-imapd sake, so if
there are any other heavy BDB users, please come and join the
packaging team (especially if you use BDB transactional mode).

Affected packages:

db4.6 (first in row):
-----
bind9 (binNMU with small patch needed)
dsniff (binNMU OK)
guile-db (no upload since 2008)
hpsockd (no upload since 2008)
isync (nmued, no upload since 2008)
libnss-db (nmued, no upload since 2009)
mmorph (removed from testing, no upload since 2008)
pkspxy (no upload since 2007)
qtstalker (no upload since 2008)

db4,7:
-----
batv-milter
claws-mail
dkim-milter
dnshistory
drac
etpan-ng
hotkeys
httest
jabberd2
kolab-cyrus-imapd
libetpan
memcachedb
nmh
nvi
perl
radiusd-livingston
skktools
sks
squidguard

db4,8:
-----
apr-util
bmf
bogofilter
cairo-dock-plugins
chise-base
citadel
clisp
cyrus-sasl2
dovecot
evolution-exchange
exim4
ggz-server
gridengine
heimdal
iproute
jigdo
kdesvn
libapache2-mod-perl2
libapache2-mod-qos
libdb-ruby
libpam-ccreds
librcc
log4cxx
mailavenger
moc
netatalk
nss-updatedb
onak
opendkim
openldap
pam
perdition
php5
poedit
python-bsddb3
python2.5
python2.6
python2.7
python3.1
rapidsvn
redland
rpm
sendmail
skksearch
spamprobe
squid3
subversion
tcpstat
webalizer
webdruid
xastir
xemacs21

O.

-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick-proposed'), (500, 'maverick-backports'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-28-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 621101: 621109, 621110, 621106, 621104, 621105, 621107, and 621108 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:32:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621349, 621347, 621350, 621112, 621348, 621111, and 621351 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:43:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621366, 621354, 621353, 621356, 621352, 621355, and 621361 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:43:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621374, 621368, 621377, 621378, 621371, and 621376 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:43:26 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621397, 621383, 621381, 621388, 621384, 621382, and 621387 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:43:33 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621406, 621399, 621405, 621403, 621404, 621407, and 621398 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:43:43 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621413, 621416, 621417, 621414, 621419, 621415, and 621418 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:43:52 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621424, 621427, 621425, 621428, 621429, 621426, and 621430 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:44:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621431 and 621432 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 07 Apr 2011 14:44:11 GMT) Full text and rfc822 format available.

Bug 621415 cloned as bug 622081. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Sun, 10 Apr 2011 04:54:32 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 621101: 622081 Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Sun, 10 Apr 2011 07:48:32 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 622712 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:28 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621433 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:30 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621434 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:31 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621435 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:33 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621436 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:35 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621437 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:36 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621438 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:38 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621439 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:40 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621441 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:42 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621442 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:43 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621444 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:45 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621446 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:47 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621447 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:48 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621450 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:50 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621451 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:52 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621454 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:53 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621456 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:55 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621457 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:56 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621458 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:58 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621459 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:08:59 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 621101: 621461 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 12:09:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Thu, 14 Apr 2011 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 14 Apr 2011 13:57:02 GMT) Full text and rfc822 format available.

Message #74 received at 621101@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Ondřej Surý <ondrej@debian.org>, 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Thu, 14 Apr 2011 15:52:45 +0200
On 06/04/2011 16:43, Ondřej Surý wrote:
>
> I would like to coordinate reduction of BDB packages since I took the
> unhappy job (as I could expect) to maintain BDB in Debian after Clint
> have orphaned them.
>

I've added a page for libdb on the transition tracker so that we follow
the status of this transition. It's available at:

	http://release.debian.org/transitions/html/libdb.html

It's updated once every hour.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 13:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Sat, 16 Apr 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #81 received at 621101@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 621101@bugs.debian.org
Cc: Ondřej Surý <ondrej@debian.org>
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Sat, 16 Apr 2011 20:31:53 +0200
[Message part 1 (text/plain, inline)]
On Thu, 14 Apr 2011 15:52:45 +0200
Mehdi Dogguy <mehdi@dogguy.org> wrote:

> On 06/04/2011 16:43, Ondřej Surý wrote:
> >
> > I would like to coordinate reduction of BDB packages since I took the
> > unhappy job (as I could expect) to maintain BDB in Debian after Clint
> > have orphaned them.
> >
> 
> I've added a page for libdb on the transition tracker so that we follow
> the status of this transition. It's available at:
> 
> 	http://release.debian.org/transitions/html/libdb.html

  Just curious, shouldn't libetpan be appearing on that list?
  IIRC it build-depends on libdb-dev.

  regards,
-- 
 Ricardo Mones
 http://people.debian.org/~mones
 «If you stand on your head, you will get footprints in your hair.»
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Sat, 16 Apr 2011 20:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 20:33:08 GMT) Full text and rfc822 format available.

Message #86 received at 621101@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Ricardo Mones <mones@debian.org>
Cc: 621101@bugs.debian.org, Ondřej Surý <ondrej@debian.org>
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Sat, 16 Apr 2011 22:30:13 +0200
On 04/16/2011 08:31 PM, Ricardo Mones wrote:
> On Thu, 14 Apr 2011 15:52:45 +0200
> Mehdi Dogguy<mehdi@dogguy.org>  wrote:
>
>> On 06/04/2011 16:43, Ondřej Surý wrote:
>>>
>>> I would like to coordinate reduction of BDB packages since I took the
>>> unhappy job (as I could expect) to maintain BDB in Debian after Clint
>>> have orphaned them.
>>>
>>
>> I've added a page for libdb on the transition tracker so that we follow
>> the status of this transition. It's available at:
>>
>> 	http://release.debian.org/transitions/html/libdb.html
>
>    Just curious, shouldn't libetpan be appearing on that list?
>    IIRC it build-depends on libdb-dev.
>

Is *is* there. Untick "hide fully (re-)built packages" to see it.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Sat, 16 Apr 2011 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 22:21:06 GMT) Full text and rfc822 format available.

Message #91 received at 621101@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Sun, 17 Apr 2011 00:19:10 +0200
[Message part 1 (text/plain, inline)]
On Sat, 16 Apr 2011 22:30:13 +0200
Mehdi Dogguy <mehdi@dogguy.org> wrote:

> >    Just curious, shouldn't libetpan be appearing on that list?
> >    IIRC it build-depends on libdb-dev.
> >  
> 
> Is *is* there. Untick "hide fully (re-)built packages" to see it.

  Oops, you're absolutely right, sorry for the noise ;)
-- 
 Ricardo Mones
 http://people.debian.org/~mones
 «Do not sleep in a eucalyptus tree tonight.»
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'transition: getting rid of libdb4.8' from 'transition: db (db4,6, db4.7, db4.8)' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Tue, 08 May 2012 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 16:27:06 GMT) Full text and rfc822 format available.

Message #98 received at 621101@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Tue, 8 May 2012 18:25:48 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr  6, 2011 at 16:43:01 +0200, Ondřej Surý wrote:

> I would like to coordinate reduction of BDB packages since I took the
> unhappy job (as I could expect) to maintain BDB in Debian after Clint
> have orphaned them.
> 
So as far as I can tell we currently have in wheezy:
- db4.7, building db4.7-util (why?).  Only reverse dep is
  cyrus-imapd-2.4.
- db4.8, with reverse dependencies:
  + cyrus-imapd-2.4
  + python2.6
  + sendmail
  + subversion
  Is there any chance we can reduce that list further still?
- db5.1, default
- db5.3, with no reverse dependencies.

I think it's too late to switch to 5.3 now, so unless there's a good
reason I'll probably remove it from wheezy.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Wed, 09 May 2012 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 May 2012 07:00:03 GMT) Full text and rfc822 format available.

Message #103 received at 621101@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Wed, 9 May 2012 08:57:19 +0200
On Tue, May 8, 2012 at 6:25 PM, Julien Cristau <jcristau@debian.org> wrote:
> On Wed, Apr  6, 2011 at 16:43:01 +0200, Ondřej Surý wrote:
>
>> I would like to coordinate reduction of BDB packages since I took the
>> unhappy job (as I could expect) to maintain BDB in Debian after Clint
>> have orphaned them.
>>
> So as far as I can tell we currently have in wheezy:
> - db4.7, building db4.7-util (why?).  Only reverse dep is
>  cyrus-imapd-2.4.

> - db4.8, with reverse dependencies:
>  + cyrus-imapd-2.4

cyrus-imapd-2.4 depends on (prev-stable) dbX.Y-util to automatically
upgrade it's database files. So the answer for (why?) is: because it's
needed to upgrade some (journaled, replicated) old bdb database files.

db4.8 will be converted to db4.8-util only package after those three
rev-deps you mentioned below will be resolved.

>  + python2.6

Isn't python2.6 going away after python2.7 transition is complete?

>  + sendmail

Sendmail maintainer is unresponsive. (Two RC bugs.)
I can NMU, but my only knowledge of sendmail is only 'the big evil MTA' :)

>  + subversion

4 RC bugs

I suggest to remove sendmail and subversion from testing for the time being.

>  Is there any chance we can reduce that list further still?
> - db5.1, default

Yup.

> - db5.3, with no reverse dependencies.
>
> I think it's too late to switch to 5.3 now, so unless there's a good
> reason I'll probably remove it from wheezy.

That's a shame, but I understand. Please remove from testing. Should I
create transition blocker bug or you can do some RM magic?

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Wed, 09 May 2012 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 May 2012 07:27:03 GMT) Full text and rfc822 format available.

Message #108 received at 621101@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Wed, 9 May 2012 09:23:33 +0200
On Wed, May  9, 2012 at 08:57:19 +0200, Ondřej Surý wrote:

> On Tue, May 8, 2012 at 6:25 PM, Julien Cristau <jcristau@debian.org> wrote:
> > On Wed, Apr  6, 2011 at 16:43:01 +0200, Ondřej Surý wrote:
> >
> >> I would like to coordinate reduction of BDB packages since I took the
> >> unhappy job (as I could expect) to maintain BDB in Debian after Clint
> >> have orphaned them.
> >>
> > So as far as I can tell we currently have in wheezy:
> > - db4.7, building db4.7-util (why?).  Only reverse dep is
> >  cyrus-imapd-2.4.
> 
> > - db4.8, with reverse dependencies:
> >  + cyrus-imapd-2.4
> 
> cyrus-imapd-2.4 depends on (prev-stable) dbX.Y-util to automatically
> upgrade it's database files. So the answer for (why?) is: because it's
> needed to upgrade some (journaled, replicated) old bdb database files.
> 
> db4.8 will be converted to db4.8-util only package after those three
> rev-deps you mentioned below will be resolved.
> 
On a quick look, cyrus in squeeze seems to depend on db4.7.  Does it
also need db4.8-util?

> >  + python2.6
> 
> Isn't python2.6 going away after python2.7 transition is complete?
> 
I think it's too late now.  Matthias might disagree.

> >  + sendmail
> 
> Sendmail maintainer is unresponsive. (Two RC bugs.)
> I can NMU, but my only knowledge of sendmail is only 'the big evil MTA' :)
> 
> >  + subversion
> 
> 4 RC bugs
> 
> I suggest to remove sendmail and subversion from testing for the time being.
> 
Not going to happen, I'm afraid.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Wed, 09 May 2012 07:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 May 2012 07:33:07 GMT) Full text and rfc822 format available.

Message #113 received at 621101@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Wed, 9 May 2012 09:30:09 +0200
On Wed, May 9, 2012 at 9:23 AM, Julien Cristau <jcristau@debian.org> wrote:
> On Wed, May  9, 2012 at 08:57:19 +0200, Ondřej Surý wrote:
>
>> On Tue, May 8, 2012 at 6:25 PM, Julien Cristau <jcristau@debian.org> wrote:
>> > On Wed, Apr  6, 2011 at 16:43:01 +0200, Ondřej Surý wrote:
>> >
>> >> I would like to coordinate reduction of BDB packages since I took the
>> >> unhappy job (as I could expect) to maintain BDB in Debian after Clint
>> >> have orphaned them.
>> >>
>> > So as far as I can tell we currently have in wheezy:
>> > - db4.7, building db4.7-util (why?).  Only reverse dep is
>> >  cyrus-imapd-2.4.
>>
>> > - db4.8, with reverse dependencies:
>> >  + cyrus-imapd-2.4
>>
>> cyrus-imapd-2.4 depends on (prev-stable) dbX.Y-util to automatically
>> upgrade it's database files. So the answer for (why?) is: because it's
>> needed to upgrade some (journaled, replicated) old bdb database files.
>>
>> db4.8 will be converted to db4.8-util only package after those three
>> rev-deps you mentioned below will be resolved.
>>
> On a quick look, cyrus in squeeze seems to depend on db4.7.  Does it
> also need db4.8-util?

It depend on db4.8 for some time in the past of wheezy, so I think it would
be safer. We probably need db4.8-util anyway because there were some
users other than cyrus-imapd in the squeeze, which will need the tools.

Anyway this long list will be cut to just two version post-wheezy
(prev and cur).
The infrastructure is already there, but currently the 'prev' includes
db4.7 and db4.8.

>> >  + python2.6
>>
>> Isn't python2.6 going away after python2.7 transition is complete?
>>
> I think it's too late now.  Matthias might disagree.
>
>> >  + sendmail
>>
>> Sendmail maintainer is unresponsive. (Two RC bugs.)
>> I can NMU, but my only knowledge of sendmail is only 'the big evil MTA' :)
>>
>> >  + subversion
>>
>> 4 RC bugs
>>
>> I suggest to remove sendmail and subversion from testing for the time being.
>>
> Not going to happen, I'm afraid.

Ok, I'll try to tackle with the horrible sendmail build system and do a NMU.

For subversion it really needs it's maintainer attention (I just pinged him).

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#621101; Package release.debian.org. (Wed, 09 May 2012 07:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 May 2012 07:33:09 GMT) Full text and rfc822 format available.

Message #118 received at 621101@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: 621101@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Wed, 9 May 2012 09:32:25 +0200
On Wed, May  9, 2012 at 09:30:09 +0200, Ondřej Surý wrote:

> On Wed, May 9, 2012 at 9:23 AM, Julien Cristau <jcristau@debian.org> wrote:
> > On a quick look, cyrus in squeeze seems to depend on db4.7.  Does it
> > also need db4.8-util?
> 
> It depend on db4.8 for some time in the past of wheezy, so I think it would
> be safer. We probably need db4.8-util anyway because there were some
> users other than cyrus-imapd in the squeeze, which will need the tools.
> 
> Anyway this long list will be cut to just two version post-wheezy
> (prev and cur).
> The infrastructure is already there, but currently the 'prev' includes
> db4.7 and db4.8.
> 
Alright.

> >> >  + python2.6
> >>
> >> Isn't python2.6 going away after python2.7 transition is complete?
> >>
> > I think it's too late now.  Matthias might disagree.
> >
> >> >  + sendmail
> >>
> >> Sendmail maintainer is unresponsive. (Two RC bugs.)
> >> I can NMU, but my only knowledge of sendmail is only 'the big evil MTA' :)
> >>
> >> >  + subversion
> >>
> >> 4 RC bugs
> >>
> >> I suggest to remove sendmail and subversion from testing for the time being.
> >>
> > Not going to happen, I'm afraid.
> 
> Ok, I'll try to tackle with the horrible sendmail build system and do a NMU.
> 
> For subversion it really needs it's maintainer attention (I just pinged him).
> 
Thanks!

Cheers,
Julien




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 22:51:10 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 22:51:10 GMT) Full text and rfc822 format available.

Message #123 received at 621101-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 621101-done@bugs.debian.org
Subject: Re: Bug#621101: transition: db (db4,6, db4.7, db4.8)
Date: Sun, 1 Jul 2012 00:48:55 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr  6, 2011 at 16:43:01 +0200, Ondřej Surý wrote:

> I would like to coordinate reduction of BDB packages since I took the
> unhappy job (as I could expect) to maintain BDB in Debian after Clint
> have orphaned them.
> 
wheezy is left with just db5.1 right now.  Nice job.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:25:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:30:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.